// Class definition for ParSledConfiguration
//
// Copyright Matthias Gaertner, Schenefeld, Germany, 2001
// You may use this code under the terms of the GPL.
// Updated packages may be found at http://www.rtner.de/parsled/
//

#ifndef __PARSLEDCONFIGURATION_H
#define __PARSLEDCONFIGURATION_H

#include <Configuration.h>
#include <ConfigGeneral.h>

class ParSledConfiguration : public Configuration
{
public:
    ParSledConfiguration();
    ~ParSledConfiguration();

    ConfigGeneral *getGeneral( void ) const;

protected:
    IConfigClass *getSection( SimpleString *s ) const;
    IConfigClass *createClassForSection( const SimpleString *section );

    void notifySectionStop( const SimpleString *name, IConfigClass *cl );
};

#endif /* __PARSLEDCONFIGURATION_H */

/* */
